Bug 146179 - Developer Tools crashes LO when inspecting object in special file
Summary: Developer Tools crashes LO when inspecting object in special file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2 tar...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2021-12-11 13:45 UTC by Regina Henschel
Modified: 2021-12-13 18:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SvxUnoTextBase::createEnumeration()"]
Regression By:


Attachments
File which produces crash in Developer Tools (1006.05 KB, application/vnd.oasis.opendocument.presentation)
2021-12-11 13:45 UTC, Regina Henschel
Details
Call stack by VS 2019 (2.89 KB, text/plain)
2021-12-11 13:55 UTC, Regina Henschel
Details
bt with debug symbols (5.09 KB, text/plain)
2021-12-11 16:35 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-12-11 13:45:25 UTC
Created attachment 176866 [details]
File which produces crash in Developer Tools

Open attached file. In Object pane select object "Catherine_Part1" on "Slide 1". Then click on tab "Properties" -> Crash.
LO ask to sent a crash report, but no report was generated.

The file was created by PowerPoint 365.

The crash happens in Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 4ac9032163cf55c160145373e7c41741c9c339ca
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 1 Regina Henschel 2021-12-11 13:55:39 UTC
Created attachment 176867 [details]
Call stack by VS 2019

With a debug build
 Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d9796e597329849a6d360f205c5d36f7838884d8
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: threaded

I get the attached call stack by VS 2019.
Comment 2 Julien Nabet 2021-12-11 16:35:53 UTC
Created attachment 176872 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2021-12-11 16:54:41 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/126666
Comment 4 Commit Notification 2021-12-12 13:05:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a5f2f989a0a7a5b602b7f3e39e99d7f4c2342cee

tdf#146179: fix Dev Tools crash when inspecting object in special file

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2021-12-12 13:05:56 UTC
I cherry-picked on 7.3 branch here:
https://gerrit.libreoffice.org/c/core/+/126678
Comment 6 Commit Notification 2021-12-13 10:30:28 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/099cd6047360db3bf3df89b9511c24ea507beeb8

tdf#146179: fix Dev Tools crash when inspecting object in special file

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-12-13 11:51:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/2d10afea886b94446ca147a6178c392bd4fce4aa

tdf#146179: fix Dev Tools crash when inspecting object in special file

It will be available in 7.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2021-12-13 18:41:04 UTC
Thank you Xisco for your review and cherry-pick on 7.2 branch! :-)